## Introduction

Model files for simulations in the publication 

Cell type boundaries organize plant development.
Monica Pia Caggiano, Xiulian Yu, Neha Bhatia, André Larsson, Hasthi Ram, Carolyn K Ohno,
Pia Sappl, Elliot M Meyerowitz, Henrik Jönsson, Marcus G Heisler (2017)
eLife 2017;6:e27421 DOI: 10.7554/eLife.27421

## eLife files

These files are adapted from the origianl supplemental information provided via the
eLife page https://elifesciences.org/articles/27421/figures

Supplementary file 2
Computational model files (separate file as one zipped archive).
https://doi.org/10.7554/eLife.27421.028

## Running Simulations

### INTRODUCTION

All model and configuration files can be found in the directory modelFiles.

Models are defined in the files

with_kanrev.tmodel : model where KAN and REV repress the auxin
polarizing signal 

no_kanrev.tmodel : model without KAN or REV interaction with the PIN1 dynamics 

The geometrical template including KAN and REV expression patterns is
provided as "kanrev_template.init" (also as .ply for visualisation
using e.g. paraview, and can be generated/modified by running the
model kanrev_pattern.tmodel).

The simulation software is set to use a 5th order Runge-Kutta solver with
adaptive step size and numerical solver parameters are stored in the file "solver.rk5".

This readme provides instructions on
(1) how to access and compile the required simulation software and
(2) instructions on how to run the two auxin/PIN simulations presented in the paper.

### ORGANISM-TISSUE SOFTWARE - OVERVIEW

The Organism-Tissue software is written in c++ and is used to simulate
biological models in multicellular systems, where cell and wall
compartments are included. Several different molecular reactions and
mechanical update rules are defined within the software.
For the simulations used in this work systems of ordinary differential
equations are used to simulate the dynamics of the system.

### ORGANIMS-TISSUE SOFTWARE - DOWNLOADING AND COMPILING

The software tissue is available through download via the Sainsbury Laboratory 
gitlab repository

https://gitlab.com/slcu/teamhj/tissue

Once downloaded, the software can be compiled via a Makefile. In the
"<tissue_root_folder>/src/" directory of your download, just type

$ make

and the software should compile provided that all dependencies are
fulfilled (see documentation for details).


### TISSUE DOCUMENTATION

Documentation for tissue is provided in the svn and generated by
doxygen. To generate the documentation with "make", go to the
folder "<tissue_root_folder>/doc/" and enter

$ make

This should generate both pdf and html versions of the documentation.
For example, the introduction page of the documention in html-format will
after compilation appear in "<tissue_root_folder>/doc/html/index.html"


### RUNNING A TISSUE SIMULATION

Depending on the specified output format, the result from a tissue
simulation is saved either in the folder "vtk/" of your current
working directory and/or sent to the standard output of your machine.
If vtk output is used, the output directory can be changed by the flag 
'-vtk_output name' at runtime.

A tissue simulation can be run by entering the following in the terminal

$ tisSim model_file init_file solver_file > data_file

In the above line, the following files are used

tisSim:   	    link to, or filename of simulator binary of tissue, located in <tissue_root_folder>/bin/simulator

model_file:	    filename of a tissue model file specifying "the model" including reactions and parameters

init_file: 	    filename of the tissue init file with the "initial conditions", that is the geometry/initial variable values for your simulation

solver_file: 	file specifying which numerical solver to use for the simulation.

data_file: 	    file in which to save simulation result, used in some (not all, e.g. vtk) output formats


### RUNNING THE AUXIN/PIN MODELS WITH TISSUE

The following command runs a simulation where the auxin/PIN feedback
is active everywhere, and saves the result in the folder "vtk/" (default, see above).

$ tisSim no_kanrev.tmodel kanrev_template.init solver.rk5

The vtk output files can be visualised using e.g. [paraview](https://www.paraview.org).
Note that the output format is set in solver.rk5, see tissue
documentation for possible output formats. To run a simulation where auxin/PIN feedback is
repressed everywhere except in the boundary, enter the following command

$ tisSim with_kanrev.tmodel kanrev_template.init solver.rk5


## CONTACT

The software is mainly developed at the Sainsbury Laboratory, University of Cambridge. 

For questions please email henrik.jonsson@slcu.cam.ac.uk

